Skip to:
Content
Pages
Categories
Search
Top
Bottom

BuddyPress Default 1.2.5.2 running on MAMP Pro/Snow Leopard

  • Avatar of Vera Schafer
    Vera Schafer
    Participant

    @vschafer

    I know this theme is BP compatible but for some reason the tabs were not uploading the corresponding pages so I decided to run the BP Compatibility Package and followed the instructions correctly from the wp-content/plugins/bp-template-pack/templates/ to the wp-content/themes/bp-default theme. But when I click on any tab, I get the Not Found error: “The requested URL /index.php was not found on this server”. Any ideas?

Viewing 11 replies - 1 through 11 (of 11 total)
  • Avatar of Vera Schafer
    Vera Schafer
    Participant

    @vschafer

    Still trying to figure that out and I just thought I should ask you this: MAMP gives me two options to use PHP version 5.2.13 or 5.3.2. I tried both versions and nothing helped but I just wondered what would be the best version for when I run my blog after a fix above problem :-)

    Avatar of Boone Gorges
    Boone Gorges
    Keymaster

    @boonebgorges

    Are you experiencing the same problems when you use the bp-default theme?

    Avatar of Vera Schafer
    Vera Schafer
    Participant

    @vschafer

    Yes, I am

    Avatar of Boone Gorges
    Boone Gorges
    Keymaster

    @boonebgorges

    Sounds like it doesn’t have anything to do with the theme, then. Have you turned on pretty permalinks? Dashboard > Settings > Permalinks, select something other than the default. Also, were you asked at any point during the installation of WP to create an .htaccess fil?

    Avatar of Vera Schafer
    Vera Schafer
    Participant

    @vschafer

    Regarding the 6 folders that come under bp-template-pack/templates – I copied them to wp-content/themes/bp-default directory but I didn’t delete the original folders. Could that be the problem? Should I MOVE instead of copying?

    Avatar of Boone Gorges
    Boone Gorges
    Keymaster

    @boonebgorges

    You shouldn’t have to delete the originals. But since the problem happens when you are using bp-default, I would guess that it has nothing to do with your theme.

    Avatar of Vera Schafer
    Vera Schafer
    Participant

    @vschafer

    Yes, I worked on the permalinks and did the changes to .htaccess. I worked on another blog on my server and had no problem, so I’m now blaming MAMP. I just don’t know if there would be any difference.

    Avatar of Vera Schafer
    Vera Schafer
    Participant

    @vschafer

    Never mind, Boone. I did the .htaccess thingy again and now it worked. I’ll never understand but I don’t have time to research :-)
    Thank you very much!!!. One question remains though: How should I set up MAMP to work on PHP: using version 5.2.13 or 5.3.2?

    Avatar of Boone Gorges
    Boone Gorges
    Keymaster

    @boonebgorges

    Ha ha, glad that replacing .htaccess fixed things!

    Shouldn’t matter which version of PHP you run for the sake of WP/BP – WP supports PHP 4.3 and up.

    Avatar of nit3watch
    nit3watch
    Participant

    @nit3watch

    Here’s a good tut I always refer back to: http://www.adobe.com/devnet/dreamweaver/articles/setting_up_php.html

    It says for dreamweaver, but just follow up till the end of the xampp/mampp installation.

    Edit: here’s the one I was looking for soz: http://www.adobe.com/devnet/dreamweaver/articles/setting_up_php_03.html

    Avatar of Vera Schafer
    Vera Schafer
    Participant

    @vschafer

    Thank you guys! You rock!!!!

Viewing 11 replies - 1 through 11 (of 11 total)

You must be logged in to reply to this topic.